Skip to content

Return provider-declared card field catalog for a canonical board target definition.

GET
/api/workspace/admin/boards/boards/{boardId}/target-definitions/{boardTargetDefinitionId}/card-fields/catalog
curl --request GET \
--url https://example.com/api/workspace/admin/boards/boards/example/target-definitions/example/card-fields/catalog
  • None
boardId
required
string
boardTargetDefinitionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Provider-declared field that can be placed on compact board cards.

object
Key
string
nullable
DisplayName
string
nullable
SourceKind
integer format: int32
Allowed values: 0 1
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5
Searchable
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"SourceKind": 0,
"ValueType": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
Array<object>
nullable

Provider-declared field that can be placed on compact board cards.

object
Key
string
nullable
DisplayName
string
nullable
SourceKind
integer format: int32
Allowed values: 0 1
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5
Searchable
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"SourceKind": 0,
"ValueType": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}